%define name 	scite
%define version 1.74
%define release %mkrel 1

%define scitever %(echo %{version} | sed -e 's/\\.//')

Summary: 	GTK text editor based on scintilla
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Editors
Url: 		http://www.scintilla.org/SciTE.html
Source: 	scite%scitever.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires: 	gtk+2-devel pkgconfig
BuildRequires:	desktop-file-utils

%description
SciTE is a GTK based single-document editor.  While its features are
limited, its main purpose is to show off scintilla, an extensible
text highlighting and formatting engine.

%prep
%setup -q -n scite

%build
cd ../scintilla/gtk
perl -p -i -e "s/-Os/$RPM_OPT_FLAGS/g" makefile
make GTK2=1
cd $RPM_BUILD_DIR/scite/gtk
perl -p -i -e "s/-Os/$RPM_OPT_FLAGS/g" makefile
perl -p -i -e 's/netscape/www-browser/g' ../src/Embedded.properties
perl -p -i -e 's/netscape/www-browser/g' ../src/html.properties
perl -p -i -e 's/netscape/www-browser/g' ../src/SciTEGlobal.properties
make GTK2=1

%install
mkdir -p $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_datadir/%name
mkdir -p $RPM_BUILD_ROOT/%_datadir/pixmaps
mkdir -p $RPM_BUILD_ROOT/%_datadir/applications
mkdir -p $RPM_BUILD_ROOT/%_mandir/man1
cp bin/SciTE $RPM_BUILD_ROOT/%_bindir
cp src/*.properties $RPM_BUILD_ROOT/%_datadir/%name
cp gtk/SciTE.desktop $RPM_BUILD_ROOT/%_datadir/applications
cp gtk/Sci48M.png $RPM_BUILD_ROOT/%_datadir/pixmaps
cp doc/%name.1 $RPM_BUILD_ROOT/%_mandir/man1

desktop-file-install --vendor='' \
	--dir=%buildroot%_datadir/applications \
	--remove-category='Application' \
	%buildroot%_datadir/applications/*.desktop

%clean
rm -fr $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc doc/*
%_bindir/SciTE
%_datadir/%name
%_datadir/pixmaps/*
%_datadir/applications/*
%_mandir/man1/*


%changelog
* Sun Aug 19 2007 Funda Wang <fundawang@mandriva.org> 1.74-1mdv2008.0
+ Revision: 66556
- New version 1.74


* Fri Nov 17 2006 Olivier Blin <oblin@mandriva.com> 1.71-1mdv2007.0
+ Revision: 85065
- 1.71
- Import scite

* Wed Feb 08 2006 Lenny Cartier <lenny@mandriva.com> 1.67-1mdk
- 1.67

* Sun Aug 28 2005 Austin Acton <austin@mandriva.org> 1.66-1mdk
- 1.66
- use www-broser instead of mozilla

* Thu Aug 04 2005 Austin Acton <austin@mandriva.org> 1.65-1mdk
- 1.65

* Thu Nov 11 2004 Austin Acton <auustin@mandrake.org> 1.62-1mdk
- 1.62
- fix menu

* Wed Jun 02 2004 Austin Acton <austin@mandrake.org> 1.61-1mdk
- 1.61
- new menu location

* Sun Jan 11 2004 Austin Acton <austin@linux.ca> 1.58-1mdk
- 1.58
- lib64 fix for buildrequires

* Sun Nov 30 2003 Austin Acton <austin@linux.ca> 1.57-1mdk
- 1.57

